#4456 Update to webmin 1.700 Perl Error

0.82
closed-fixed
Jamie Cameron
None
5
2014-09-30
2014-08-13
sudohell
No

I Have today updated from Webmin 1.690 to 1.700 and now find that the browse button in various modules including the "Create Mount" module causes the following error:

"HTTP/1.0 500 Perl execution failed Server: MiniServ/1.700 Date: Wed, 13 Aug 2014 14:15:16 GMT Content-type: text/html; Charset=iso-8859-1 Connection: close

Error - Perl execution failed

Undefined subroutine &main::quote_javascript called at /usr/share/webmin/chooser.cgi line 192."

This now happens in all versions of Ubuntu Server including 14.04

I am using Firefox 31.0 to access Webmin.

Many Thanks

Discussion

  • Jim Allen
    Jim Allen
    2014-08-13

    Confirming this Centos 7 x86_64 with Webmin 1.690 no problems.
    With Webmin 1.700 file chooser crashes.

    Seems to be a change from using quotemeta to quote_javascript

    Cheers,

     
  • Jamie Cameron
    Jamie Cameron
    2014-08-13

    This is a known issue - we will likely release a 1.710 version shortly with a fix.

     
  • Jamie Cameron
    Jamie Cameron
    2014-08-13

    • status: open --> closed-fixed
     
  • RudeViper
    RudeViper
    2014-08-18

    I am getting this exact same error whenever I try to open the browse window under file sharing defaults in the Samba Windows File Sharing area...

    Using Ubuntu Server 14.04 (updated) - Webmin 1700 - Firefox 31 conenecting to Webmin from Windows 7 Home Premium... Have verified java is installed and working.

     
  • Lou
    Lou
    2014-08-20

    Found a similar problem and suspect that you have resolved this as well.
    Posting here so that it can be tested and verified for 1.710.

    All systems are ubuntu 10.04 or ubuntu 12.04 and using Webmin 1.700.
    Webmin> Webmin Configuration> Webmin Modules> Install tab> Install from: Local File

    Clicking on the ellipsis to find the module to install causes a Perl error:

     Directory of /
     HTTP/1.0 500 Perl execution failed Server: MiniServ/1.700 Date: Wed, 20 Aug 2014 14:05:33 GMT Content-type: text/html; Charset=iso-8859-1 Connection: close
     Error - Perl execution failed
    
     Undefined subroutine &main::quote_javascript called at /usr/share/webmin/chooser.cgi line 192.
    

    I was however able to enter the proper path and installed the new module without a problem on all 8 servers.

    Lou

     
    • RudeViper
      RudeViper
      2014-08-20

      Lou - Upgrading to 1701 solved the problem for me... It was just released yesterday.

       
  • RudeViper
    RudeViper
    2014-08-20

    Upgrading to 1701 solved the problem for me... It was just released yesterday.

     
    Last edit: RudeViper 2014-08-20
  • Jim Allen
    Jim Allen
    2014-08-20

    RudeViper,
    can I ask where you got 1.701 from?

    I've checked yum mirrors
    webmin-1.700-1.noarch.rpm 11-Aug-2014 22:43 21M

    and even the sourceforge files for webmin and can only find 1.700 2014-08-18.

    The changelog on the www.webmin.com/changes.html page also shows :-

    Version 1.700 (11th August 2014)

    as latest version.

    Many thanks.

     
    • RudeViper
      RudeViper
      2014-08-21

      http://www.webmin.com/ - look in the center column

       
  • lacaze
    lacaze
    2014-08-20

    Bonsoir à tous,

    Je suis sur ubuntu 12.04 et je rencontre le même problème.
    Je viens juste de faire les tests sur une webmin 1700.

    apt-get install webmin : reponse webmin is already the newest version...

    Peut on me dire où puis-je trouver un paquet deb ou autre contenant la version 1701 ?

    Merci beaucoup.

     
    Last edit: lacaze 2014-08-21
    • RudeViper
      RudeViper
      2014-08-21

      http://www.webmin.com/ look in center column.... I am not sure what language your using but I can't read it.

       
    • lacaze
      lacaze
      2014-08-21

      Good morning,

      Sorry, as I wrote in others forum as well (but in french) I wrote here in french. MY BAD oups sorry.

      I was writing that I am within ubuntu 12.04 and have same problem with webmin 1700.

      Thus I will be happy to know how to install the new version.
      If I do apt-get update and then upgrade, I do not have the new version.

      Thank you very much for your help.

       
    • sudohell
      sudohell
      2014-08-21

      To install the Webmin 1.701 update on Debian based systems e.g. Ubuntu Server I did this:

      Go to www.Webmin.com > Latest News > Webmin 1.701 bugfix available > click on "development version" > click on "Latest development version in Debian package format" > I clicked on "webmin_1701_all.deb" to download the file to my desktop.

      Then login to your Webmin with version 1.700 installed then go to:
      System > Software Packages > Install a New Package > choose "From uploaded file" > click the Browse button > select the downloaded "webmin_1701_all.deb" file on your desktop > then click the Install button.

      This installed the updated package into Webmin. I did notice that there was no indication that the package was being installed but after all activity had stopped I clicked on System Information which showed that Webmin had been updated to 1.701.

      I tested webmin for the original Perl chooser error and found that normal function had been restored.

      Hope this helps

       
  • Rio Ferdinand
    Rio Ferdinand
    2014-08-21

    either do I,
    i think it affect to all module which has chooser [browse to file/path]..